package com.philisense.www.service.impl;


import com.philisense.www.dao.ProTableColumnsDAO;
import com.philisense.www.service.ProTableColumnsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class ProTableColumnsServiceImpl implements ProTableColumnsService {

@Autowired
private ProTableColumnsDAO proTableColumnsDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proTableColumnsDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proTableColumnsDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proTableColumnsDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proTableColumnsDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proTableColumnsDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proTableColumnsDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proTableColumnsDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proTableColumnsDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proTableColumnsDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proTableColumnsDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proTableColumnsDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proTableColumnsDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proTableColumnsDAO.updateBatch(list);
}
}